
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;800&display=swap');


/*==============Renk Değişken Ayarları==============*/
body.dark{
    --bg-color1:#1C1C1C;
    --bg-color2:#343434;
    --color1:#FFFF;
    --color2:#DDD;
}

body:not(.dark){
    --bg-color1:#eaeae9;
    --bg-color2:#fbfdff;
    --color1:#3e4455;
    --color2:#000;
}


/*==============CSS Kök Değişkenleri==============*/
*,
::after,
::before{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html{ 
    scroll-behavior: smooth;
}


/*==============CSS Global==============*/
a{
    text-decoration: none;
    outline: none;
}

li{
    list-style: none;
}

h1{
    font-size: 3rem;
    color: var(--color1);
    font-weight: 600;
}

h2{
    font-size: 2.5rem;
    color: var(--color1);
    font-weight:  600;
}

h4{
    font-size: 1.25rem;
    color:var(--color1);
    font-weight: 600;
}

h6{
    font-size: 1rem;
}

p{
    color: var(--color1);
}

img{
    width: 100%;
    object-fit: cover;
    vertical-align: middle;
}

body{
    font-family: 'Poppins',sans-serif;
}


/*==============Wrapper==============*/
.portfolio-container{
    max-width: 1070;
    margin: 0 auto;
    padding: 0 15px;
}

.portfolio-row{
    display: flex;
    flex-wrap: wrap;
}


/*==============Header Navbar Stil==============*/
header{
    left: 0px;
    right: 0px;
    z-index: 20;
    transition: .8s;
    padding: 15px;
    position: fixed;
    background-color: var(--bg-color1); 
}

header .portfolio-row.header-wrap{
    justify-content: space-between;
    align-items: center;
}

.portfolio-navbar{
    display: none;
}

.brand-name{
    padding: 10px;
}

.brand-name a{
    font-size: 1.25rem;
    font-weight: 300;
    color: var(--color1);
}


.brand-name:hover{
    padding: 10px;
    border: 1px solid rgb(126, 126, 214);
    transition: 0.5s;
    border-radius: 20px;
}



.navbar-toggle i{
    font-size: 1.25rem;
    line-height: 30px;
    cursor: pointer;
    color: var(--color1);
}


/*==============Navbar Mobil Görünüm==============*/
.portfolio-navbar.show{
    display: block;
    position:absolute;
    background-color:#ecf1fa;
    width: 100%;
    left: 0px;
    top: 60px;
    padding: 15px;
    border-top: 15px solid #000;
    text-align: center;
}

.portfolio-navbar ul li{
    display: block;
}

.portfolio-navbar ul li a{ 
    color: #000;
    text-transform: uppercase;
    font-size: 0.9rem;
    font-weight: 300;
    line-height: 45px;
}


/*==============Hakkında Kısmı Stil==============*/
#about{
    padding-top: 100px;
    background-color: var(--bg-color1);
}

.about-content{
    align-items: center;
}

.about-intro{
    margin-top: 3rem;
    width: 100%;
    order: 2;
}

.hakkinda-resimler{
    position: relative;
    width: 100%;
    bottom: 0;
    padding: 15px;
    padding-bottom: 20px;
}

.hakkinda-resimler .hobi-resim-top{
    margin-top: 10px;
}

.hakkinda-resimler h3{
    color:#fff;
    padding: 5px;
    margin-top: 5px;
}

/*==============Alt Başlık Bölümü==============*/
.subtitle{
    position: relative;
    color: #c0392b;
    font-weight: 800;
    letter-spacing: 3px;
    margin-bottom: 20px;
    text-transform: uppercase;
    padding-left: 55px;
}

.subtitle::before{
    content: "";
    position: absolute;
    top: 10px;
    left: 0px;
    width: 35px;
    height: 3px;
    background-image: linear-gradient(to right, #e74c3c  0%, #f39c12 100%);
}

h1 strong, 
h2 strong{
    background-image: linear-gradiennt(to right, #e74c3c 0%, #f39c12 100%);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.about-text{
    color: var(--color2);
}


/*==============Hello Button=============*/
.hello-btn a{
    display: inline-block;
    margin: 20px 0;
    padding: 15px 45px;
    color: #fff;
    background-color: #c0392b;
    z-index: 1001;
    line-height: 30px;
    border-radius: 15px;
    transition: all 0.3s ease-out 0s;
}

.hello-btn a:hover{
    background-color: #f39c12;
}


/*==============Hakkında Kısmı Resim Stil=============*/
.about-image{
    width: 100%;
    order: 1;
    position: relative;
    z-index: 2;
    transition-duration: 0.4s;
    cursor: pointer;
}

.about-image img{
    border-radius: 100% 50% 50% 100% / 75% 69% 69% 75%;
}

.about-image::before{
    position: absolute;
    width: 100%;
    height: 100%;
    content: "";
    background-image: linear-gradient(11deg, #291342 0%, #c60242 100%);
    z-index: -1;
    border-radius: 100% 50% 50% 100% / 75% 69% 69% 75%;
    box-shadow: 2px 10px 0px 0px  rgba(216,19,19,0.16);
    transition: all .5s ease-in-out;
}

.about-image:hover{
    transform: translateY(-10.5px);
    filter:drop-shadow(0 0 30px rgba(223, 53, 13, 0.8));
}


/*==============Ana Başlık==============*/
h1 strong, h2 strong{
    background-image: linear-gradient(to right, #c0392b 0%, #f39c12 100%);
    -webkit-text-fill-color: transparent;
    -webkit-animation-clip: text;
    background-clip: text;
}

.about-text h3{
    color:var(--color1);
    margin-bottom: 10px;
}


/*==============Resume Bölümü Stil==============*/
#resume{
    background-color: var(--bg-color2);
    padding: 60px 0;
}

.resume-heading{
    width: 100%;
    text-align: center;
}

.resume-body{
    width: 100%;
    padding-top: 30px;
    padding-left: 10px;
    padding-right: 10px;
}

.resume-item{
    display: inline;
    position: relative;
    margin-bottom: 25px;
    padding: 0 10px;
}

.resume-item a{
    font-size: 14px;
    font-weight: 400;
    color: var(--color1);
    line-height: 45px;
}

.resume-tab{
    display: none;
}

.resume-tab.active{
    display: block;   
    animation: fade .5s;
}

@keyframes fade{
    0%{
        opacity: 0;
    }

    100%{
        opacity: 1;
    }
}

.resume-item.active .resume-link{
    position: relative;
    font-weight: 700;
}

.resume-item.active .resume-link::before{
    position: absolute;
    content: "";
    background-color: #7257F2;
    left: 0;
    top: 30px;
    bottom: 0;
    height: 3px;
    width: 100%;
}

/*==============Resume Tab Content==============*/
.resume-content{
    display: flex;
}

.resume-content:not(:last-child){
    padding-bottom: 44px;
}

.years{
    width: 90px;
    flex: none;
    color: var(--color1);
}

.qualification-content{
    position: relative;
    padding-left: 20px;
}

.qualification-content::before{
    content:"";
    height: 100%;
    width:3px;
    left: 0;
    top: -10px;
    position: absolute;
    background-color: #e8e8e8;
}

.qualification-content::after{
    position: absolute;
    content: "";
    height: 7px;
    width: 7px;
    left: -2px;
    top: 12px;
    transform:rotate(45deg);
    background: #e15747;
}

.qualification-content .title{
    font-weight: 400;
    display: inline-block;
    color: #d55041;
}

.institution{
    color: #78add9;
    font-weight: 400;
}

/*==============Yetenekler Barı==============*/
.bar-content{
    margin-bottom: 15px;
}

.bar-heading{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 20px 0;
}

.bar-title, .bar-percentage{
    color: var(--color1);
}

.bar-progress{
    display: flex;

}


/*==============İletişim Bölümü Stil==============*/
#iletisim {
    padding: 60px 0;
    background-color: var(--bg-color2);
    position: relative;
    z-index: 2;
}

.iletisim-bilgi{
    width: 100%;
    padding-top: 15px;
}

.iletisim-bilgi li{
    display: flex;
    flex-wrap: wrap;
    background-color:#FFF;
    border-radius: 0.5rem;
    margin-bottom: 28px;
    padding: 30px 40px;
    position: relative;
    cursor: pointer; 
    border: 1px solid #e2e5f1;
    box-shadow: 0 0.25rem 0.75rem rgba(11, 15, 25, 0.1), 0 0.125 0.4rem rgba(11, 15, 25, 0.5);
}

.iletisim-icon{
    margin: auto 0;
}

.iletisim-icon i{
    color: #3e4455;
    font-size: 24px;
    display: inline-block;
    margin-right: 30px;
    position: relative;
}

.iletisim-detay h5{
    color: #3e4455;
    font-size: 1rem;
}

.iletisim-bilgi li::after{
    position: absolute;
    content: "";
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 0.5rem;
    z-index: -1;
    transition: all 0.15s ease-out 0s;
    background-image: linear-gradient(to right, #e74c3c  0%, #f39c12 100%);
}

.iletisim-bilgi li:hover::after{
    top: 8px;
    left: 8px;
}

.iletisim-heading{
    margin-top: 30px;
}

.footer-iletisim{
    width: 100%;
    padding-top: 15px;
}

.input-wrapper, .input-konu, .input-aciklama, .form-submit{
    width: 100%;
    padding: 10px 0;
    margin-bottom: 15px;
}

.hata-txt{
    font-size: 14px;
    color:#d93025;
    margin-top: 9px;
    display: none;
}

.item, .iletisim-msj{
    font-family: 'Poppins' sans-serif;
    font-size: 1rem;
    background-color: #f6f6f9;
    border: 1px solid #f6f6f9;
    color: #3e4455;
    height: 60px;
    line-height: 56px;
    outline: none;
    padding: 0 30px;
    width: 100%;
    font-weight: 500;
}

.iletisim-msj{
    height: 150px;
    line-height: 1.2;
    padding: 20px 30px;
    resize: none;
    margin-top: 20px;
}

.btn-submit{
    width: 100%;
    padding: 15px 30px;
    color: #FFF;
    font-family: 'Poppins' sans-serif;
    background-color: #ff5252;
    text-transform: uppercase;
    border: none;
    cursor: pointer;
}

.btn-clear{
    width: 100%;
    padding: 15px 30px;
    color: #FFF;
    font-family: 'Poppins' sans-serif;
    background-color: #ff5252;
    text-transform: uppercase;
    border: none;
    cursor: pointer;
}

.input-wrapper.error .hata-txt{
    display: block;
}


.input-konu.error .hata-txt{
    display: block;
}





@keyframes rotateme{
    0%{
        transform:rotate(0deg);
    }
    100%{
        transform:rotate(360deg);
    }
}


/*==============Footer Stil==============*/
footer{
    background-color: var(--bg-color1);
    padding: 20px 0;
}

.portfolio-row .footer-wrap{
    justify-content: center;
}

.footer-top{
    display: none;
}

.footer-bottom{
    padding: 20px 0;
}

.social-item{
    display: inline-block;
}


.social-icons li a{
    height: 3rem;
    width: 3rem;
    justify-content: center;
    align-items: center;
    display: flex;
    background: #FFF;
    transition: all 500ms ease;
    color: rgba(5, 18, 20, 0.7);
    font-size: 1.1rem;
}

.social-item:not(:last-child){
    margin-right: 0.5rem;
}

.social-icons li a:hover{
    transform:translateY(-10px);
}

/*==============Şehrim Stil==============*/

#sehrim{
    padding: 60px 0;
    background-color: var(--bg-color1);
}

.swiper{
    padding-top: 30px;
}

.urun-icerik{
    text-align: center;
    position: relative;
    cursor: pointer;
}

.swiper-wraper{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.urun-icerik img{
    border-radius: 0.5rem;
}

.resim-kaplama{
    position: absolute;
    left: 25px;
    top: 25px;
    right: 25px;
    bottom: 25px;
    background-color: rgba(16, 16, 16, 0.5);
    transition: 0.5s;
    transform:scale(1.15);
    opacity: 0;
}

.urun-icerik:hover .resim-kaplama{
    opacity: 1;
    transform:scale(1);
}

.urun-baslik{
    width: 100%;
    position: absolute;
    bottom: -45px;
    padding: 50px 30px;
    opacity: 0;
    transition: .5s;
}

.urun-icerik:hover .urun-baslik{
    bottom: 30%;
    opacity: 1;
}

.urun-baslik h4{
    color: #FFF;
    font-size: 1.5rem;
}

.urun-baslik p{
    color: #FFF; 
}

.ok{
    display: flex;
    align-items: center;
    padding-top: 20px;
}

.ileriOkButonu, .geriOkButonu{
    z-index: 1000;
    border: 2px solid var(--color2);
    color: var(--color1);
    background-color: var(--bg-color2);
    font-size: 0.80rem;
    text-align: center;
    cursor: pointer;
    display: block;
    width: 2.75rem;
    height: 2.75rem;
    line-height: 2.625rem;
}

.geriOkButonu{
    margin-left: 10px;
}

.swiper-pagination-bullets.swiper-pagination-horizontal{
    width: 60%;
    display: flex;
    position: static;
    margin: 0 auto;
}

.swiper-pagination-bullet{
    width: 100%;
    height: 5px;
    border-radius: 0;
}

.swiper-pagination-bullet-active{
    background-image: linear-gradient(162.41deg, #43baff 1.77%, #906ebe 92.78%);
}

.swiper-pagination-bullet:hover{
    background-image: linear-gradient(162.41deg, #43baff 1.77%, #906ebe 92.78%);
    opacity: 1;
    outline: none;
}

.sehrim-bilgi{
    margin-top: 30px;
}

.sehrim-bilgi-header-item-parent{
    color: #FFF;
    padding: 5px;
    margin-left: 10px;
    font-size: 1.2rem;
    margin-top:15px;
}

.sehrim-bilgi-header-item-parent p{
    margin-left: 20px;
    margin-top: 7px;
}


.sehrim-bilgi-header-item-child{
    padding: 5px;
}


/*==============Takımımız Stil==============*/

#takimimiz{
    background-color: var(--bg-color2);
    padding: 60px 0;
}

.takim-bilgi{
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 15px;
}

.takim-bilgi h3{
    color: #FFF;
    padding-top: 8px;
    padding-left: 8px;
    font-size: auto;
}

.takim-bilgi-text{
    width: 70%;
    height: 100%;
}

.takim-bilgi-text p{
    padding-left: 20px;
    padding-top: 10px;
    font-size: auto;
}

.takim-arma{
    width: 30%;
    padding: 15px;
}

.takimimiz-table{
    padding: 10px;
}

.takimimiz-table .puan-durumu{
    width: 100%;
    border-collapse: collapse;
    position:relative;
}

.takimimiz-table .puan-durumu th, td{
    padding: 8px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}

.takimimiz-table .puan-durumu th{
    background-color: #1a1a1a;
    color: #CCCCCC;

}

.takimimiz-table .puan-durumu td{
    background-color: #222222;
    color: #CCCCCC;
}


/*==============ilgi alanlarım stil==============*/

#ilgiAlanlarim{
    background-color: var(--bg-color1);
    padding: 60px 0;
}

@media (max-width: 700px){

    #responsiveTable th:nth-child(5),
    #responsiveTable td:nth-child(5),
    #responsiveTable th:nth-child(6),
    #responsiveTable td:nth-child(6) {
        display: none;
    }
    
}

/*==============Orta Boyuttaki Ekranlar (768 px ve fazlası)==============*/
@media (min-width: 768px){
    h1{
        font-size: 4rem;
    }

    h2{
        font-size: 3.5rem;
        color: var(--color1);
        font-weight: 600;
    }


    /*==============Header Responsive==============*/
    header{
        position: absolute;
        padding: 0px 15px;
        background-color: transparent;
    }

    .navbar-toggle i{
        display: none;
    }

    .portfolio-navbar{
        display: block;
    }

    .portfolio-navbar ul li{
        display: inline-block;
        padding: 0 10px;
    }

    .portfolio-navbar ul li a{
        color: var(--color1);
        line-height: 65px;
    }

    /*==============Hakkında Kısmı Responsive==============*/
    
    .hakkinda-resimler{
        display: flex;
        flex-wrap: wrap;
    }

    .hakkinda-resimler .subtitle{
        position: relative;
    }

    .hakkinda-resimler .hobi-resim-top, .hobi-resim{
        width: 100%;
        height: auto;
        padding: 5px;
        margin-top: 0px;
    }

    .hakkinda-resimler h3{
        width: 100%;
        font-size: 1rem;
    }

    .hakkinda-resimler .hobi-resim-parent{
        display: inline-block;
        width: 30%;
        padding: 10px;
        margin: 5px;
        height: 100%;
    }


    /*==============Yetenekler Barı Responsive==============*/
    header.header-sticky{
        position: fixed;
        background-color: #FFF;
        z-index: 2000;
        transition: .8s;
        box-shadow:0 4px 6px 0 rgba(12,0,46,0.05);
    }

    .header-sticky .brand-name a{
        color: #3e4455;
    }

    .header-sticky .navbar-toggle{
        color: #3e4455;
    }

    .header-sticky .portfolio-navbar ul li a{
        color: #3e4455;
    }

    /*==============Eğitim Bölümü Responsive==============*/
    .resume-heading{
        margin: auto 0;
        width: 35%;
        text-align: unset;
    }

    .resume-body{
        width: 65%;
        margin-top: 30px;
        padding-top: 0;
        padding-left: 40px;
        min-height: 400px;
    }

    .resume-item{
        display: block;
        padding-left: 20px;
    }

    .resume-item .resume-link{
        font-size: 1.1rem;
    }

    .resume-item.active .resume-link::before{
        position: unset;
    }

    .resume-item.active::before{
        position: absolute;
        content:"";
        background-color: #7257F2;
        left: 0;
        top: auto;
        bottom: 0;
        height: 100%;
        width: 3px;
    }

    .resume-item.active{
        background: linear-gradient(90deg, #775afc1a 0%, #775afc00 100% );
    }

    
    /*==============İletişim Responsive==============*/
    .iletisim-bilgi{
        width: 35%;
        padding-top: 15px;
    }

    .iletisim-heading{
        display: none;
    }

    .footer-iletisim{
        width: 65%;
        padding-left: 40px;
    }

    .input-wrapper{
        padding: 0 10px;
        width: 50%;
        margin-bottom: 40px;
    }

    .input-konu, .form-submit, .form-clear{
        padding: 10px;
    }

   

    /*==============İletişim Responsive==============*/

    .footer-top{
        display: block;
        border-bottom: 1px solid var(--bg-color1);
    }

    .portfolio-row.footer-wrap{
        justify-content: space-between;
        align-items: center;
    }


    /*==============Swiper Responsive==============*/

   .swiper-pagination-bullets.swiper-pagination-horizontal{
    width: 80%;
   } 



   #about{
    padding: 75px 0 0 0;
   }

   .about-intro{
    width: 60%;
    margin-top: 0;
    order: 1;
   }

   .about-intro p{
    padding-right: 16%;
   }

   .about-image{
    width: 40%;
    order: 2;
   }

}